MetricSetControllerAddDynamicMeasure Method

POST /MetricSet/AddDynamicMeasure/{id} Adds a dynamic measure to the metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddDynamicMeasure")]
public IActionResult AddDynamicMeasure(
	Guid id,
	[FromBodyAttribute] AddDynamicMeasureOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the dynamic measure to.
options
Type: Dundas.BI.WebApi.ModelsAddDynamicMeasureOptions
The options for adding the dynamic measure.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also